# Class VulkanDebugUtilsMessengerCreateInfoEXT.Builder

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsMessengerCreateInfoEXT.Builder

Enclosing class:
  `VulkanDebugUtilsMessengerCreateInfoEXT`

public static final class VulkanDebugUtilsMessengerCreateInfoEXT.Builder extends Object
Builds instances of type `VulkanDebugUtilsMessengerCreateInfoEXT`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addAllFlags(Iterable<VulkanDebugUtilsMessengerCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addAllSeverity(Iterable<VulkanDebugUtilsMessageSeverityFlag> elements)`
  Adds elements to `severity` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addAllType(Iterable<VulkanDebugUtilsMessageTypeFlag> elements)`
  Adds elements to `type` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addFlags(VulkanDebugUtilsMessengerCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addFlags(VulkanDebugUtilsMessengerCreateFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addSeverity(VulkanDebugUtilsMessageSeverityFlag element)`
  Adds one element to `severity` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addSeverity(VulkanDebugUtilsMessageSeverityFlag... elements)`
  Adds elements to `severity` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addType(VulkanDebugUtilsMessageTypeFlag element)`
  Adds one element to `type` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `addType(VulkanDebugUtilsMessageTypeFlag... elements)`
  Adds elements to `type` set.
  `VulkanDebugUtilsMessengerCreateInfoEXT`
  `build()`
  Builds a new `VulkanDebugUtilsMessengerCreateInfoEXT`.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `from(VulkanDebugUtilsMessengerCreateInfoEXTType instance)`
  Fill a builder with attribute values from the provided `VulkanDebugUtilsMessengerCreateInfoEXTType` instance.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `setCallback(VulkanDebugUtilsMessengerCallbackEXTType callback)`
  Initializes the value for the `callback` attribute.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `setFlags(Iterable<VulkanDebugUtilsMessengerCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `setSeverity(Iterable<VulkanDebugUtilsMessageSeverityFlag> elements)`
  Sets or replaces all elements for `severity` set.
  `final VulkanDebugUtilsMessengerCreateInfoEXT.Builder`
  `setType(Iterable<VulkanDebugUtilsMessageTypeFlag> elements)`
  Sets or replaces all elements for `type` set.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder from(VulkanDebugUtilsMessengerCreateInfoEXTType instance)
    Fill a builder with attribute values from the provided `VulkanDebugUtilsMessengerCreateInfoEXTType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addFlags(VulkanDebugUtilsMessengerCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addFlags(VulkanDebugUtilsMessengerCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder setFlags(Iterable<VulkanDebugUtilsMessengerCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addAllFlags(Iterable<VulkanDebugUtilsMessengerCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addSeverity

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addSeverity(VulkanDebugUtilsMessageSeverityFlag element)
    Adds one element to `severity` set.
    Parameters:
      `element` - A severity element
    Returns:
      `this` builder for use in a chained invocation

  - ### addSeverity

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addSeverity(VulkanDebugUtilsMessageSeverityFlag... elements)
    Adds elements to `severity` set.
    Parameters:
      `elements` - An array of severity elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setSeverity

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder setSeverity(Iterable<VulkanDebugUtilsMessageSeverityFlag> elements)
    Sets or replaces all elements for `severity` set.
    Parameters:
      `elements` - An iterable of severity elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllSeverity

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addAllSeverity(Iterable<VulkanDebugUtilsMessageSeverityFlag> elements)
    Adds elements to `severity` set.
    Parameters:
      `elements` - An iterable of severity elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addType

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addType(VulkanDebugUtilsMessageTypeFlag element)
    Adds one element to `type` set.
    Parameters:
      `element` - A type element
    Returns:
      `this` builder for use in a chained invocation

  - ### addType

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addType(VulkanDebugUtilsMessageTypeFlag... elements)
    Adds elements to `type` set.
    Parameters:
      `elements` - An array of type elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setType

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder setType(Iterable<VulkanDebugUtilsMessageTypeFlag> elements)
    Sets or replaces all elements for `type` set.
    Parameters:
      `elements` - An iterable of type elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllType

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder addAllType(Iterable<VulkanDebugUtilsMessageTypeFlag> elements)
    Adds elements to `type` set.
    Parameters:
      `elements` - An iterable of type elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setCallback

    public final VulkanDebugUtilsMessengerCreateInfoEXT.Builder setCallback(VulkanDebugUtilsMessengerCallbackEXTType callback)
    Initializes the value for the `callback` attribute.
    Parameters:
      `callback` - The value for callback
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanDebugUtilsMessengerCreateInfoEXT build()
    Builds a new `VulkanDebugUtilsMessengerCreateInfoEXT`.
    Returns:
      An immutable instance of VulkanDebugUtilsMessengerCreateInfoEXT
    Throws:
      `IllegalStateException` - if any required attributes are missing